'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const globalSigner = signer => ({
  install(metaplex) {
    metaplex.use(identitySigner(signer));
    metaplex.use(payerSigner(signer));
  }
});
const identitySigner = signer => ({
  install(metaplex) {
    metaplex.identity = signer;
  }
});
const payerSigner = signer => ({
  install(metaplex) {
    metaplex.payer = signer;
  }
});

exports.globalSigner = globalSigner;
exports.identitySigner = identitySigner;
exports.payerSigner = payerSigner;
//# sourceMappingURL=SignerPlugins.cjs.map
